/* UUSHRED 3.2 Mark Neidengard mneideng@cosmos.acs.calpoly.edu 7-1993
   Handler for commandline switches  */

int handleargs (argc, argv, handle_switch) /* returns the number of the first */
int argc;                                  /* non-switch argument */
char *argv[];
struct switches *handle_switch;
{
   int arg_count=1;
   int string_pos;
   int target_count;
   while (arg_count < argc && *argv[arg_count]=='-') {
      string_pos=0;
      do {
       ++string_pos; target_count=0;
       switch (argv[arg_count][string_pos]) {
         case '-': handle_switch->pipeline=1;break;
         case 'f': handle_switch->files_made=1;break;
         case 'i': handle_switch->input_sub=1; break;
         case 's': handle_switch->sorted_sub=1; break;
         case 'p': handle_switch->phase_info=1; break;
         case 'r': handle_switch->re_skip=1; break;
         case 'a': handle_switch->avoidance=1; break;
         case 'c': handle_switch->correlate=1;
            do
               handle_switch->uncorrelated_out[target_count++]=argv[arg_count][++string_pos];
            while (argv[arg_count][string_pos]);
            break;
         case 'n': handle_switch->no_decode=1;
            do
               handle_switch->undecoded_out[target_count++]=argv[arg_count][++string_pos];
            while (argv[arg_count][string_pos]);
            break;
       }
      }
      while (argv[arg_count][string_pos]);
      ++arg_count;
   }
   return arg_count;
}
